﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.Constants
{
    using System;
    using System.Linq;

    class Segment
    {
        public const string Una = "UNA";
        public const string Unb = "UNB";
        public const string Ung = "UNG";
        public const string Unh = "UNH";
        public const string Unz = "UNZ";
        public const string Unt = "UNT";
        public const string Une = "UNE";

        public const string Isa = "ISA";
        public const string Iea = "IEA";
        public const string St = "ST";
        public const string Se = "SE";
        public const string Ge = "GE";
        public const string Gs = "GS";

        public static bool Contains(string field)
        {
            var type = Type.GetType("EdiFabric.Framework.Constants.Segment");
            if (type != null)
            {
                var fields = type.GetFields();
                return fields.ToList().Exists(f => f.Name.ToUpper() == field.ToUpper());
            }

            return false;
        }
    }
}
