﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.Entities
{
    using System;

    public class InterchangeContext : IEquatable<InterchangeContext>
    {
        public string SegmentTerminator { get; set; }
        public string ComponentDataElementSeparator { get; set; }
        public string ReleaseIndicator { get; set; }
        public string DataElementSeparator { get; set; }
        public string RepetitionSeparator { get; set; }
        public string Format { get; set; }
        public string TargetNamespace { get; set; }
        
        public bool Equals(InterchangeContext other)
        {
            return (other != null &&
                other.ComponentDataElementSeparator == this.ComponentDataElementSeparator &&
                other.DataElementSeparator == this.DataElementSeparator &&
                other.ReleaseIndicator== this.ReleaseIndicator &&
                other.RepetitionSeparator == this.RepetitionSeparator &&
                other.SegmentTerminator == this.SegmentTerminator);
        }
    }
}
