﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.Entities
{
    using EdiFabric.Framework.Constants;

    class MessageContext
    {
        public string Tag {get; set;}
        public string Version {get; set;}
        public string Origin {get; set;}
        public string Format { get; set; }
        
        public string TypeName
        {
            get
            {
                string typeName = Namespace.Definitions + ".";
                typeName += this.Format + "_" + this.Version + "_" + this.Tag;

                if (!string.IsNullOrEmpty(this.Origin))
                {
                    typeName += "_" + this.Origin;
                }

                return typeName;
            }
        }

        public string AssemblyName
        {
            get
            {
                return ", " + Namespace.Definitions;
            }
        }
    }
}
