﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.InterchangeEnvelopes.Edifact
{
    using System.Collections.Generic;
    using System.Xml.Linq;

    using EdiFabric.Framework.Constants;

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceEdifact)]
    public class INTERCHANGE 
    {
        public S_UNB S_UNB { get; set; }

        [System.Xml.Serialization.XmlArrayItemAttribute("GROUP", IsNullable = false)]
        public List<GROUP> GROUPS { get; set; }

        public S_UNZ S_UNZ { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceEdifact)]
    public class S_UNB
    {
        public C_S001 C_S001 { get; set; }

        public C_S002 C_S002 { get; set; }

        public C_S003 C_S003 { get; set; }

        public C_S004 C_S004 { get; set; }

        public string D_0020_5 { get; set; }

        public C_S005 C_S005 { get; set; }

        public string D_0026_7 { get; set; }

        public string D_0029_8 { get; set; }

        public string D_0031_9 { get; set; }

        public string D_0032_10 { get; set; }

        public string D_0035_11 { get; set; }
    }

    public class C_S001
    {
        public string D_0001_1 { get; set; }

        public string D_0002_2 { get; set; }

        public string D_0080_3 { get; set; }

        public string D_0133_4 { get; set; }
    }

    public  class C_S002
    {
        public string D_0004_1 { get; set; }

        public string D_0007_2 { get; set; }

        public string D_0008_3 { get; set; }

        public string D_0042_4 { get; set; }
    }

    public  class C_S003
    {
        public string D_0010_1 { get; set; }

        public string D_0007_2 { get; set; }

        public string D_0014_3 { get; set; }

        public string D_0046_4 { get; set; }
    }

    public  class C_S004
    {
        public string D_0017_1 { get; set; }

        public string D_0019_2 { get; set; }
    }

    public  class C_S005
    {
        public string D_0022_1 { get; set; }

        public string D_0025_2 { get; set; }
    }

    public  class GROUP
    {
        public S_UNG S_UNG { get; set; }

        [System.Xml.Serialization.XmlArrayItemAttribute("MESSAGE", IsNullable = false)]
        public List<XElement> MESSAGES { get; set; }

        public S_UNE S_UNE { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceEdifact)]
    public  class S_UNG
    {
        public string D_0038_1 { get; set; }

        public C_S006 C_S006 { get; set; }

        public C_S007 C_S007 { get; set; }

        public C_S004_2 C_S004_2 { get; set; }

        public string D_0048_5 { get; set; }

        public string D_0051_6 { get; set; }

        public C_S008 C_S008 { get; set; }

        public string D_0058_8 { get; set; }
    }

    public  class C_S006
    {
        public string D_0040_1 { get; set; }

        public string D_0007_2 { get; set; }
    }

    public  class C_S007
    {
        public string D_0044_1 { get; set; }

        public string D_0007_2 { get; set; }
    }

    public  class C_S004_2
    {
        public string D_0017_1 { get; set; }

        public string D_0019_2 { get; set; }
    }

    public  class C_S008
    {
        public string D_0052_1 { get; set; }

        public string D_0054_2 { get; set; }

        public string D_0057_3 { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceEdifact)]
    public  class S_UNE
    {
        public string D_0060_1 { get; set; }

        public string D_0048_2 { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceEdifact)]
    public  class S_UNZ
    {
        public string D_0036_1 { get; set; }

        public string D_0020_2 { get; set; }
    }
}
