﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.InterchangeEnvelopes.X12
{
    using System.Collections.Generic;
    using System.Xml.Linq;

    using EdiFabric.Framework.Constants;

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceX12, IsNullable = false)]
    public class INTERCHANGE 
    {
        public INTERCHANGE()
        {
            this.S_IEA = new S_IEA();
            this.GROUPS = new List<GROUP>();
            this.S_ISA = new S_ISA();
        }

        public S_ISA S_ISA { get; set; }

        [System.Xml.Serialization.XmlArrayItemAttribute("GROUP", IsNullable = false)]
        public List<GROUP> GROUPS { get; set; }

        public S_IEA S_IEA { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceX12, IsNullable = false)]
    public  class S_ISA
    {
        public string D_744_1 { get; set; }

        public string D_745_2 { get; set; }

        public string D_746_3 { get; set; }

        public string D_747_4 { get; set; }

        public string D_704_5 { get; set; }

        public string D_705_6 { get; set; }

        public string D_704_7 { get; set; }

        public string D_706_8 { get; set; }

        public string D_373_9 { get; set; }

        public string D_337_10 { get; set; }

        public string D_726_11 { get; set; }

        public string D_703_12 { get; set; }

        public string D_709_13 { get; set; }

        public string D_749_14 { get; set; }

        public string D_748_15 { get; set; }

        public string D_701_16 { get; set; }
    }

    public  class GROUP
    {
        public GROUP()
        {
            this.S_GE = new S_GE();
            this.MESSAGES = new List<XElement>();
            this.S_GS = new S_GS();
        }

        public S_GS S_GS { get; set; }

        [System.Xml.Serialization.XmlArrayItemAttribute("MESSAGE", IsNullable = false)]
        public List<XElement> MESSAGES { get; set; }

        public S_GE S_GE { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceX12, IsNullable = false)]
    public  class S_GS
    {
        public string D_479_1 { get; set; }

        public string D_142_2 { get; set; }

        public string D_124_3 { get; set; }

        public string D_29_4 { get; set; }

        public string D_30_5 { get; set; }

        public string D_28_6 { get; set; }

        public string D_455_7 { get; set; }

        public string D_480_8 { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceX12, IsNullable = false)]
    public  class S_GE
    {
        public string D_97_1 { get; set; }

        public string D_28_2 { get; set; }
    }

    [System.Xml.Serialization.XmlRootAttribute(Namespace = Namespace.TargetNamespaceX12, IsNullable = false)]
    public  class S_IEA
    {
        public string D_405_1 { get; set; }

        public string D_709_2 { get; set; }
    }
}
