﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.Parsers.Edi
{
    using System.Collections.Generic;
    using System.Xml.Linq;

    using EdiFabric.Framework.Entities;

    abstract class EdiBuilder
    {
        protected List<string> ediSegments { get; set; }

        public List<string> EdiSegments
        {
            get
            {
                return this.ediSegments;
            }
        }

        protected InterchangeContext interchangeContext;

        public abstract void CreateInterchangeSettings(XElement xmlEdi);

        public abstract void CreateInterchangeHeader(XElement xmlEdi);

        public abstract void CreateGroupHeader(XElement group);

        public abstract void CreateSegment(XElement segment, XElement typedMessage, string origin);

        public abstract void CreateGroupTrailer(XElement group);

        public abstract void CreateInterchangeTrailer(XElement xmlEdi);
    }
}
