﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.Parsers
{
    using System.Collections.Generic;
    using System.IO;
    using System.Xml.Linq;

    using EdiFabric.Framework.Entities;

    public interface IEdiParser
    {
        T ToInterchange<T>(Stream ediStream, string origin);

        List<string> ToEdi<T>(T interchangeEnvelope, string origin, InterchangeContext context);

        XElement Serialize<T>(T instance);

        T Deserialize<T>(XElement xml);
    }
}
