﻿//---------------------------------------------------------------------
// This file is part of ediFabric
//
// Copyright (c) ediFabric. All rights reserved.
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------

namespace EdiFabric.Framework.Parsers.Interchange
{
    using System.Collections.Generic;

    using EdiFabric.Framework.Entities;

    abstract class InterchangeEdiBuilder
    {
        protected InterchangeContext interchangeContext;

        protected object interchangeEnvelope;

        public object InterchangeEnvelope
        {
            get
            {
                return this.interchangeEnvelope;
            }
        }

        public abstract void CreateInterchangeHeader(string segment);

        public abstract void CreateInterchangeTrailer(string segment);

        public abstract void CreateGroupHeader(string segment);

        public abstract void CreateGroupTrailer(string segment);

        public abstract void CreateMessage(List<string> segments, MessageContext messageContext, string origin);

        public abstract MessageContext GetMessageContext(IEnumerable<string> ediSegments, string origin);
    }
}
